<?
include_once '../core/system.php';
echo admin();
$header = 'Создание раздела';
include_once '../core/head.php';
switch($act) {
case 'post':
if(isset($_POST['name'])) {
$read_only = check($_POST['read_only']);
$private_post = check($_POST['private_post']);
$name = check($_POST['name']);
if(strlen($name) < 3 or strlen($name) > 40) $err =  'Длина названия должна быть в пределах 3 - 40 символов';
if(!isset($err)) {
mysql_query("INSERT INTO `forum_razdel` SET `name` = '$name', `private_post` = '$private_post', `read_only` = '$read_only' ");
header('Location: /forum/');
$_SESSION['message'] = 'Раздел создан!';
exit();
}else{
header('Location: /forum/add');
$_SESSION['err'] = $err;
exit();
}
}
break;
default;
echo '<form class="player" method="post" action="?act=post">
Введите Название<br /><input class="text large" type="text" name="name" /><br />
<input type="checkbox" name="read_only" value="1" /><span>Игроки не могут создавать топики</span><br />
<input type="checkbox" name="private_post" value="1" /><span>Доступен только администрации</span><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Создать">Создать</span></span>
</form>
</div><div class="mini-line"></div><div class="player menuList"><li><a href="/forum/"><img src="/images/icon/arrow.png">Назад</a></li>';
}
echo "</div>";
include_once '../core/foot.php';
?>